<!--
  @File Name          : listeSprint.html
  @Description        : 
  @Author             : ChangeMeIn@UserSettingsUnder.SFDoc
  @Group              : 
  @Last Modified By   : ChangeMeIn@UserSettingsUnder.SFDoc
  @Last Modified On   : 18/06/2020 à 19:33:03
  @Modification Log   : 
  Ver       Date            Author      		    Modification
  1.0    28/05/2020   ChangeMeIn@UserSettingsUnder.SFDoc     Initial Version
-->
<template>
    <div class='slds-card lds-card slds-p-vertical_x-large'>
		<!-- titre -->
		<div class="slds-m-bottom_small">
			<p class="slds-text-heading_large slds-text-align_center slds-m-top_medium"><b>Sprint Tables Assigned To The Project "{DetailProjet.Name}"</b>
            </p>
        </div>
        <div class="slds-text-align_center ">
            <dl class="slds-list_inline" style="margin-left: 7%;margin-block-end: 4%;">
                <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
                color: darkblue;">Project Name:</dt>
                <dd class="slds-item_detail slds-truncate" >{DetailProjet.Name}</dd>
                <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
                color: darkblue;" >Category:</dt>
                <dd class="slds-item_detail slds-truncate">{DetailProjet.Gat_gorie__c}</dd>
                <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
                color: darkblue;">State:</dt>
                <dd class="slds-item_detail slds-truncate" >{DetailProjet.Etat__c}</dd>
                <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
                color: darkblue;" >Type:</dt>
                <dd class="slds-item_detail slds-truncate" >{DetailProjet.Type__c}</dd>
                <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
                color: darkblue;">Priority:</dt>
                <dd class="slds-item_detail slds-truncate" >{DetailProjet.Priorit__c}</dd>
                <dt class="slds-item_label slds-text-color_weak slds-truncate"  style="font-weight: 900;
                color: darkblue;">Start date:</dt>
                <dd class="slds-item_detail slds-truncate" >{DetailProjet.Date_Debut__c}</dd>
                <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
                color: darkblue;">End date:</dt>
                <dd class="slds-item_detail slds-truncate" >{DetailProjet.Date_fin__c}</dd>
            </dl>
        </div>
        </br>
        <lightning-breadcrumbs style=" margin-block-end: -2%;">
            <lightning-breadcrumb
            label={DetailProjet.Name}
            href="path/to/place/1"
            onclick={handleNavigateToProjet}
            style="    font-size: 116%;
            font-weight: 700;">
        </lightning-breadcrumb>
            <lightning-breadcrumb if:true={showpages}
            label={record.Name} style="font-size: 116%;
            font-weight: 700;color: black;">
        </lightning-breadcrumb>
        </lightning-breadcrumbs>
        <lightning-button class="btt_ajouter" icon-name="utility:add" style="margin-left: 49%;" label="Add Sprint" variat="brand" onclick={openmodal} ></lightning-button>
        <template if:true={openmodel}>
            <div class="demo-only">
                <section role="dialog" tabindex="-1" aria-labelledby="modal-heading-01" aria-modal="true" aria-describedby="modal-content-id-1" class="slds-modal slds-fade-in-open">
                    <div class="slds-modal__container">
                        <header class="slds-modal__header">
                            <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeModal}>
                                <lightning-icon icon-name="utility:close" size="medium">
                                </lightning-icon>
                                <span class="slds-assistive-text">Close</span>
                            </button>
                            <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate">Ajouter un Sprint</h2>
                        </header>
                        <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1">     
        <table>
            <tr>
                <td>
                    <p>Project Name:</p>
                </td>
                <td>
                    <lightning-input type="text" label=" "  required ="required"   value={DetailProjet.Name}  disabled ></lightning-input>
                </td>
            </tr>
            <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
            <TR></TR>
            <tr>
                <td>
                    <p>Sprint Name:</p>
                </td>
                <td>
                    <lightning-input type="text" label=" " required ="required"  onchange={handleNameuserchange} value={SprintRecord.Name} placeholder="type here..."></lightning-input>
                </td>
            </tr>
            <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
            <TR></TR>
            <tr>
                <td>
                    <p>Description:</p>
                </td>
                <td>
                    <lightning-input type="text" label=" "  required ="required"  onchange={handleDescriptionchange} value={SprintRecord.Description__c}  placeholder="type here..."></lightning-input>
                </td>
            </tr> 
            <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
            <TR></TR>
            <tr>
                <td>
                    <p>Sprint Start Date:</p>
                </td>
                <td>
                    <lightning-input type="date" label=" " required ="required"  onchange={handleDateDebutuserchange} value={SprintRecord.Date_Debut__c}></lightning-input>
                </td>
            </tr>
            <TR> <TD> <lightning-input type="hidden"  placeholder="type here..."></lightning-input></TD></TR>
            <TR></TR>
            <tr>
                <td>
                    <p>Sprint End Date:</p>
                </td>
                <td>
                    <lightning-input type="date" label=" "  required ="required"  onchange={handleDateFinchange} value={SprintRecord.Date_Fin__c}></lightning-input>
                </td>
            </tr>
            </table>
        </div>
        <footer class="slds-modal__footer">
            <lightning-button label="Annuler" variant="neutral" onclick={closeModal}></lightning-button>
            <lightning-button label="Enregistrer" variant="brand" onclick={saveMethod}></lightning-button>
        </footer>
        </div>
        </section>
        <div class="slds-backdrop slds-backdrop_open"></div>
        </div>
    </template>
    <div style="    margin-block-start: 3px;
    margin-right: 39%;">
    <template if:true={data} >
        <lightning-datatable data={data}
                        columns={columns}
                        key-field="id"
                        hide-checkbox-column="true"
                        onrowaction={handleRowActions}
                        style="margin-right: 50%;"></lightning-datatable>
        </template>
    </div>
        <!-- Spinner -->
<div if:true={showLoadingSpinner}>
    <lightning-spinner alternative-text="Loading" size="large"></lightning-spinner>
    </div>
    <!-- Detail view modal -->
    <template if:true={bShowModal}>
    <section role="dialog" tabindex="-1"
            aria-labelledby="modal-heading-03"
            aria-modal="true"
            aria-describedby="modal-content-id-3"
            class="slds-modal slds-fade-in-open">
    <div class="slds-modal__container">
        <!-- modal header -->
        <header class="slds-modal__header">
            <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeModalAction}>
                <lightning-icon icon-name="utility:close" alternative-text="close" variant="inverse" size="small" ></lightning-icon>
            </button>
            <h2 id="modal-heading-03" class="slds-text-heading_medium slds-hyphenate" if:false={isEditForm}>Record Detail</h2>
            <h2 id="modal-heading-02" class="slds-text-heading_medium slds-hyphenate" if:true={isEditForm}>Update Record Values</h2>
        </header>
        <!-- modal body -->
        <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-3" if:false={isEditForm}>
            <dl class="slds-list_horizontal slds-wrap">
                <dt class="slds-item_label slds-truncate" title="Nom de Projet">Project Name:</dt>
                <dd class="slds-item_detail slds-truncate">{DetailProjet.Name}</dd>
                <dt class="slds-item_label slds-truncate" title="Nom de Sprint">Sprint Name:</dt>
                <dd class="slds-item_detail slds-truncate">{record.Name}</dd>
                <dt class="slds-item_label slds-truncate" title="Description">Description:</dt>
                <dd class="slds-item_detail slds-truncate">{record.Description__c}</dd>
                <dt class="slds-item_label slds-truncate" title="Date Debut">Sprint Start Date:</dt>
                <dd class="slds-item_detail slds-truncate">{record.Date_Debut__c}</dd>
                <dt class="slds-item_label slds-truncate" title="Description">Sprint End Date:</dt>
                <dd class="slds-item_detail slds-truncate">{record.Date_Fin__c}</dd>
            </dl>
        </div>
        
        <!-- showing record edit form -->
        <div if:true={isEditForm} class="slds-theme_default">
            <lightning-record-edit-form layout-type="Full" record-id={currentRecordId} object-api-name="Sprint__c" onsubmit={handleSubmit} onsuccess={handleSuccess}>
                <lightning-messages></lightning-messages>
                <lightning-output-field field-name="projet__c"></lightning-output-field>
                <lightning-input-field field-name="Name"></lightning-input-field>
                <lightning-input-field field-name="Description__c"></lightning-input-field>
                <lightning-input-field field-name="Date_Debut__c"></lightning-input-field>
                <lightning-input-field field-name="Date_Fin__c"></lightning-input-field>
                <br/>
                <div style="text-align:center;">
                <lightning-button class="slds-m-top_small"
                                    variant="brand"
                                    type="submit"
                                    name="update"
                                    label="Update"></lightning-button>
            </div>
        </lightning-record-edit-form><br/>
        </div>
    <!-- modal footer start-->
    <footer class="slds-modal__footer" if:false={isEditForm}>
        <lightning-button variant="brand"
                            label="Close"
                            title="Close"
                            onclick={closeModalAction}></lightning-button>
    </footer>
    </div>
    </section>
    
    <div class="slds-backdrop slds-backdrop_open" style="margin-right: 57%;"></div>
    </template>
      <tamplate if:true={showpages}>
        <div class="slds-box" style="margin-right: 2%;
        margin-left: 67%;
        margin-top: -167px;    border-style: double;
        border-color: initial;">
        <div style="    margin-left: 34%;
        margin-block-end: 3%;"> 
        <lightning-button-icon-stateful icon-name="action:log_event"  style="    padding: 0.4rem;
        padding-left: 0%;
        padding-right: 0%;background-color:#f4f6f9; padding-block-start: 6px;" size="medium" onclick={navigateToReports} alternative-text="Event" class="slds-m-left_xx-small" ></lightning-button-icon-stateful><lightning-button-icon-stateful icon-name="action:edit"  style="    padding: 0.4rem;
        padding-left: 0%;
        padding-right: 0%;background-color:#f4f6f9; padding-block-start: 6px;" size="medium" onclick={editRecord} alternative-text="edit" class="slds-m-left_xx-small" ></lightning-button-icon-stateful>
    </br>
    </div>
        <dl class="slds-list_inline" style="margin-left: 10%;margin-block-end: 4%;">
        <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
        color: darkblue;">Sprint Name:</dt>
        <dd class="slds-item_detail slds-truncate" ><p>{record.Name}</p>
        </dd>
        </dl>
        <dl class="slds-list_inline" style="margin-left: 10%;margin-block-end: 4%;">
            <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
                color: darkblue;"> <lightning-icon icon-name="utility:play" alternative-text="estimated time" size="x-small"
                title="x-small size"></lightning-icon> Sprint Start Date:</dt>
            <dd class="slds-item_detail slds-truncate" ><p>{record.Date_Debut__c}</p>
            </dd>
            </dl>
            <dl class="slds-list_inline" style="margin-left: 10%;margin-block-end: 4%;">
                <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
                    color: darkblue;"> <lightning-icon icon-name="utility:stop" alternative-text="estimated time" size="x-small"
                    title="x-small size"></lightning-icon>Sprint End Date:</dt>
                <dd class="slds-item_detail slds-truncate" ><p>{record.Date_Fin__c} </p>
                </dd>
                </dl>
                <dl class="slds-list_inline" style="margin-left: 10%;margin-block-end: 4%;">
                    <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
                    color: darkblue;">
                    <lightning-icon icon-name="utility:clock" alternative-text="estimated time" size="x-small"
                                    title="x-small size"></lightning-icon> Date Today:</dt>
                    <dd class="slds-item_detail slds-truncate" ><lightning-formatted-date-time
                        value={timestamp}
                        year="numeric"
                        month="numeric"
                        day="numeric"
                        hour="2-digit"
                        minute="2-digit"
                        second="2-digit"
                        time-zone-name="short">
            </lightning-formatted-date-time>
                    </dd>
                    </dl>
                    <dl class="slds-list_inline" style="margin-left: 10%;margin-block-end: 4%;">
                        <dt class="slds-item_label slds-text-color_weak slds-truncate" style="font-weight: 900;
                        color: darkblue;">Description:</dt>
                        <dd class="slds-item_detail slds-truncate" ><p>{record.Description__c}</p>
                        </dd>
                        </dl>
        </div>
            </tamplate> 
    </div>
</template>